Skip to main content
`Ctrl`+`K`

# DMPlexSetGlobalToNaturalSF

Sets the `PetscSF` for mapping Global `Vec` to the Natural `Vec`

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexSetGlobalToNaturalSF(DM dm, PetscSF naturalSF)

## Input Parameters

- dm - The `DM`

- naturalSF - The `PetscSF`

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `PetscSF`, `DMPlexDistribute()`, `DMPlexDistributeField()`, `DMPlexCreateGlobalToNaturalSF()`, `DMPlexGetGlobaltoNaturalSF()`

## Level

intermediate

## Location

src/dm/impls/plex/plexnatural.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages